Subject: Re: 2.2.1 MIPS kernel sources plus Indy kernel binaries uploaded

From: Thomas Bogendoerfer <[email-masked]>
Date: Tue, 2 Mar 1999 00:16:14 +0100

On Sun, Feb 28, 1999 at 05:16:59PM -0500, Michael Hill wrote:
> Still have the aforementioned video quirks.  Any further developments 
> regarding Newport revisions?

so far nobody could tell me, how I can read the newport revision. Without
this information it's impossible to implement a runtime workaround for
the cursor problem (and mabye others).

So once again:

Is there anybody on this list, who knows and is willing to tell me, how I
get the newport revision ?

Thomas.

-- 
   This device has completely bogus header. Compaq scores again :-|
It's a host bridge, but it should be called ghost bridge instead ;^)
                                        [Martin `MJ' Mares on linux-kernel]

---

From: Chad Carlin <[email-masked]>
Date: Fri, 05 Mar 1999 18:35:41 -0600

Thomas,

Anyone else have trouble with these on an R4400? I tried a couple times. Both
stopped the boot process a the "freeing unused memory" part. Sorry there was no
other info.

Regards,
Chad

Thomas Bogendoerfer wrote:

> After syncing my two source trees with CVS, I've exported a tarball
> and uploaded it to
>
> ftp://ftp.linux.sgi.com/pub/linux/mips/test/linux-2.2.1-990226.tar.gz
>
> I've tested compilation for Indy and Olivetti M700 (MIPS Magnum).
>
> I also uploaded a Indy kernel (map and .config file included):
>
> ftp://ftp.linux.sgi.com/pub/linux/mips/test/vmlinux-indy-2.2.1-990226.tar.gz
>
> Thomas.
>
> --

--
           -----------------------------------------------------
            Chad Carlin                          Special Systems
            Silicon Graphics Inc.                   972.205.5911
            Pager 888.754.1597          VMail 800.414.7994 X5344
            [email-masked]             http://reality.sgi.com/chad
           -----------------------------------------------------
        "flying through hyper space ain't like dusting crops, boy"

---

From: [email-masked]
Date: Sun, 7 Mar 1999 00:06:40 +0100

> stopped the boot process a the "freeing unused memory" part. Sorry there was no

It seems one of the ``high priests'' will need get access to one of these
machine in order to debug the problem.

Did you try the usual hot keys to get a register dump?  If that still works,
what is the epc value, is the machine looping?

  Ralf

---

From: Ulf Carlsson <[email-masked]>
Date: Fri, 12 Mar 1999 22:23:35 -0500

On Sat, Feb 27, 1999 at 12:01:44PM +0100, Thomas Bogendoerfer wrote:
> On Fri, Feb 26, 1999 at 11:30:50PM -0500, [email-masked] wrote:
> > How has everyone else faired in the compiling game?  :)
> 
> it worked out of the box, but not on an out of the box HardHat:-(
> 
> HardHat has still gcc-2.7.2 as the default C compiler and this
> compiler has different defines. So either use egcs or update your
> gcc specs file (sorry, I couldn't find the patch right now, anyone ?)

Ooops, sorry about the delay but here's the specs man and here's his specs file!

The specs man says: Take this specs file and put it in
/usr/local/lib/gcc-lib/mips-linux/2.7.2.2 or similar..

- Ulf

---

From: Thomas Bogendoerfer <[email-masked]>
Date: Mon, 15 Mar 1999 22:03:41 +0100

Ok, I finally found the reason for the video corruptions with the new
newport console some reported to me. It happens only, when there are
less than 1024 scanlines on the screen. My fix is to enable the
faster scrolling only with 1024 scanline screen modes. This slows
down scrolling, and I hope there is a better solution (but I doubt it).

It looks like video rams get only refreshed, when they are displayed. 
Is this true ? I've tried enabling the vram refresh in the config
register, but that didn't change anything. Is there are a way to avoid
losing the content of offscreen scanlines ?

Another question:

As the newport problem is mostly solved, I'll try to get the scsi fixed.
I'm now able to reproduce a complete lockup with my DAT drive. While
looking for the reason, I've got GIO fifo full interrupts (INT2 local
interrupt 0). Can someone explain, when these interrupts occur ?

Thomas.

---

From: "Michael Hill" <[email-masked]>
Date: Thu, 18 Mar 1999 07:45:43 -0500

> down scrolling, and I hope there is a better solution (but I doubt it).

This works well, Thomas.  Now I can see what's happening on the screen.  I
haven't run into any problems with the scrolling speed yet (I don't notice a
difference just by watching it).

Mike

---

From: Thomas Bogendoerfer <[email-masked]>
Date: Thu, 18 Mar 1999 22:35:24 +0100

> difference just by watching it).

it isn't that bad, when the lines are only partially filled or whenever
columns contain the same content. But there is a fix insight. I just
have to figure out, how to completly clear the scrolled in scanlines.

Thomas.